---
title: "This document"
---

> Documentation Index
> Fetch the complete documentation index at: https://tryshiba.dev/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Shiba public API

`GET /openapi.json`

## Code samples

### cURL

```bash
curl --request GET \
  --url '<base-url>/api/v1/openapi.json'
```

### TypeScript

```typescript
const url = '<base-url>/api/v1/openapi.json';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "<base-url>/api/v1/openapi.json"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

OpenAPI JSON


Source: https://tryshiba.dev/reference/api/get/openapi.json/index.md
